From: Brett Parker <arch@sommitrealweird.co.uk>
Date: Sat, 13 May 2006 10:25:16 +0000 (+0000)
Subject: General clean up
X-Git-Tag: release-1.0.3~2
X-Git-Url: https://git.sommitrealweird.co.uk/bpgallery.git/commitdiff_plain/e1cb8f570febbc032bb3538c32a9b7c2f25aaa67

General clean up

* Fix bad typo in BPGALLERY_THEME_DIR that stopped the script working
* Check permissions on files that we already know about before even trying
  to run

git-archimport-id: arch@sommitrealweird.co.uk--2005-desktop/bpgallery--mainline--1.0--patch-20
---

diff --git a/TODO b/TODO
index 28b52ff..9e85428 100644
--- a/TODO
+++ b/TODO
@@ -7,3 +7,5 @@
   filename.
 * Make sure that the tools we require are available (i.e. check that we have
   xargs, convert, identify etc)
+* shouldn't fail silently - should check perms before trying to write icons,
+  etc.
diff --git a/bpgallery.sh b/bpgallery.sh
index 1650485..dbb2bb2 100755
--- a/bpgallery.sh
+++ b/bpgallery.sh
@@ -152,7 +152,7 @@ fi
 
 if [[ ! -z ${BPGALLERY_THEME_DIR} ]] && \
 	[[ -e ${BPGALLERY_THEME_DIR}/${BPGALLERY_THEME} ]]; then
-	. ${BPGALLERY_THEME_DIR/${BPGALLERY_THEME} 2>/dev/null
+	. ${BPGALLERY_THEME_DIR}/${BPGALLERY_THEME} 2>/dev/null
 elif [[ -e $HOME/.bpgallery.themes/${BPGALLERY_THEME} ]]; then
 	. $HOME/.bpgallery.themes/${BPGALLERY_THEME} 2>/dev/null
 elif [[ -e /usr/local/etc/bpgallery/themes/${BPGALLERY_THEME} ]]; then
@@ -332,10 +332,30 @@ if ( ! $FINDCOMMAND . $FINDIMAGESOPTIONS > /dev/null 2>/dev/null ); then
 	exit 4
 fi
 
+if [ ! -w . ]; then
+	$ECHOCOMMAND "Can't write to images directory, exiting"
+	exit 8
+fi
+
+if [ -e index.html ] && [ ! -w index.html ]; then
+	$ECHOCOMMAND "Can't write index.html, exiting"
+	exit 8
+fi
+
+if [ -e style.css ] && [ ! -w style.css ]; then
+	$ECHOCOMMAND "Can't write style.css, exiting"
+	exit 8
+fi
+
 if [ ! -d icons ]; then
 	mkdir icons
 fi
 
+if [ ! -w icons ]; then
+	$ECHOCOMMAND "Can't write to icons directory, exiting"
+	exit 16
+fi
+
 generate_thumbs
 
 if [ -r description.txt ] ; then